/**
*Rsync App
* There are different ways implementing an App
*/
var ufinderApp = ufinderApp || {};  //Define App namespace, if you want.
/**
*Constructor UNAS App
*/
ufinderApp.App = function () {
    this.id = 'U-Finder';
    this.name = 'U-Finder';
    this.version = '6.0.16';
    this.active = false;
    this.menuIcon = '/apps/u-finder/images/logo.png?v=6.0.16&';
    this.shortcutIcon = '/apps/u-finder/images/logo.png?v=6.0.16&';
    this.entryUrl = '/apps/u-finder/ufinder.html?v=6.0.16&';
    var self = this;
    this.ufinderAppWindow = function () { //create app window
        if(UNAS.CheckAppState('U-Finder')){
            return false;
        }
        self.window=new MUI.Window({
            id: 'ufinderAppWindow',
            title: UNAS._('U-Finder'),
            icon: '/apps/u-finder/images/logo_small.png?v=6.0.16&',
            width: 850,
            height: 480,
            maximizable: false,
            resizable: true,
            scrollbars: false,
            resizeLimit: { 'x': [600, 2000], 'y': [200, 1500] },
            loadMethod: 'xhr',
            contentURL: '/apps/u-finder/ufinder.html?v=6.0.16&',
            require: {  css: ['/apps/u-finder/css/ufinder.css'] },
            onBeforeBuild: function(){UNAS.SetAppOpenedWindow("U-Finder",'ufinderAppWindow')}
        });
    };
    this.ufinderAppUninstall = function (){
        UNAS.RemoveDesktopShortcut('U-Finder');
        UNAS.RemoveMenu('U-Finder');
        UNAS.RemoveAppFromGroups('U-Finder', 'ControlPanel');
        UNAS.RemoveAppFromGroups('U-Finder', 'Help');
        UNAS.RemoveAppFromApps('U-Finder');
    }
    new UNAS.Menu('UNAS_App_SystemTools_Menu', this.name, this.menuIcon, 'U-Finder', '', this.ufinderAppWindow);
    //new UNAS.DesktopShortcut(this.name, this.shortcutIcon, 'Web Server', this.ufinderAppWindow);
    new UNAS.RegisterToAppGroup(this.name, 'ControlPanel', {'Type' : 'SystemTools', 'Location' : 3, "Icon": this.shortcutIcon, "Url": this.entryUrl},{});
    //new UNAS.RegisterToAppGroup(this.name, 'Help', {'Type' : 'SystemTools', 'Location' : 4, "Icon": this.shortcutIcon, "Url": this.entryHelpUrl},{});
    var OnChangeLanguage = function (e) {
        UNAS.SetMenuTitle('U-Finder', UNAS._('U-Finder')); //translate menu
        //UNAS.SetShortcutTitle('Web Server', UNAS._('Web Server')); //translate shortcut
        if (typeof self.window !== 'undefined') {
            //need to translate the window title, menu and shortcut
            UNAS.SetWindowTitle('ufinderAppWindow', UNAS._('U-Finder'));
        }
    }
    UNAS.LoadTranslation('/apps/u-finder/languages/Translation?v='+this.version, OnChangeLanguage);
    UNAS.Event.addEvent('ChangeLanguage', OnChangeLanguage);
    UNAS.CreateApp(this.name,this.shortcutIcon,this.ufinderAppWindow,this.ufinderAppUninstall);
};

new ufinderApp.App();